Skip to content

Update User

Request Description

ParameterReference
Request URLhttps://{app_domain}/callback
Request MethodPOST
Request HeaderAuthorization: Bearer

Request Parameters

Parameter NameRequiredTypeDescription
idYesString(50)User ID of the enterprise application
usernameYesString(100)Username; usernames are unique and cannot be duplicated
disabledNoBooleanWhether disabled; true means disabled, false means enabled (not disabled).
nameNoString(40)User name
organizationIdYesString(50)Primary organization ID; special cases: this parameter is not passed when the application organization model is not enabled or the user has no affiliated organization.
organizationIdsYesArrayList of organization IDs; supports up to 9 affiliated departments; the first is the primary organization ID; special cases: this parameter is not passed when the application organization model is not enabled or the user has no affiliated organization.
attrManagerIdNoString(50)Direct manager
extAttr
(Custom extended attribute)
No- Integer
- Boolean
- String
- Array
① Extended attribute: the parameter name is defined by the IDaaS Enterprise Center at Application -> Object Model -> Application Account Model -> Attribute Definition; enterprises can customize extended attribute names and types.
② Extended attribute types: currently supports Number, Text, Switch, and Multi-value Text.

Response Parameters

Parameter NameTypeDescription
idString(50)User ID of the enterprise application

Request Example

  • Request example with message signing and encryption enabled
json
{
	"nonce": "AmgjjEAJbrMzWmUw",
	"timestamp": 15093849585,
	"eventType": "UPDATE_USER",
	"data": "6lu6gxrHydJIXEQhUa3UqsXHWsDZ5LTAo/xU3zhjq9H3syCuFYDYKg==",
	"signature": "K08yDiTEc094KoccOY+VYLQFxxQ="
}
  • JSON string format after decrypting the request body data
json
{
	"id": "c3a26dd3-27a0-4dec-a2ac-ce211e105f97",
	"username": "zhangs",
	"name": "张三2",
	"organizationId": "391551e8-160f-4993-8177-e7b9c5f6b28c",
	"organizationIds": ["391551e8-160f-4993-8177-e7b9c5f6b28c","461551e8-160f-4993-8177-e7b9c5f6b212"],
	"disabled":false,
	"number":123456,
    "switch":false,
    "text":"扩展属性单值文本的值",
    "multivaluedText":["扩展属性多值文本的值1","扩展属性多值文本的值2"]
}
  • Additional note on extended attributes: IDaaS must configure mapping in the Enterprise Center at Resources -> Application -> Object Model -> Application Account Model -> Mapping Definition before the downstream application can receive the defined extended attribute values and information. For how to configure extended attributes and mapping definitions, please refer to Preparation.

Response Example

Status Code: 200

Request succeeded

  • Response example with message signing and encryption enabled
json
{
	"code": "200",
	"message": "success",
	"data": "P+rXpWetRg7IP0vdhVgkVwSoZBJeQwY2zhROsJq/HJ+q6tp1qhl9L1+c"
}
  • JSON string format after decrypting the response body data
json
{
	"id": "c3a26dd3-27a0-4dec-a2ac-ce211e105f97"
}

BambooCloud IDaaS Open Platform